USB_PADCAL_Type Union Reference

## Data Fields

struct {
uint16_t TRANSP:5
uint16_t __pad0__:1
uint16_t TRANSN:5
uint16_t __pad1__:1
uint16_t TRIM:3
uint16_t __pad2__:1
} | bit
uint16_t | reg

## Detailed Description

Definition at line 799 of file usb.h.

## Field Documentation

## __pad0__

uint16_t USB_PADCAL_Type::__pad0__

bit: 5 Reserved

Definition at line 802 of file usb.h.

## __pad1__

uint16_t USB_PADCAL_Type::__pad1__

bit: 11 Reserved

Definition at line 804 of file usb.h.

## __pad2__

uint16_t USB_PADCAL_Type::__pad2__

bit: 15 Reserved

Definition at line 806 of file usb.h.

## bit

struct { ... } USB_PADCAL_Type::bit

Structure used for bit access

## reg

uint16_t USB_PADCAL_Type::reg

Type used for register access

Definition at line 808 of file usb.h.

## TRANSN

uint16_t USB_PADCAL_Type::TRANSN

bit: 6..10 USB Pad Transn calibration

Definition at line 803 of file usb.h.

## TRANSP

uint16_t USB_PADCAL_Type::TRANSP

bit: 0.. 4 USB Pad Transp calibration

Definition at line 801 of file usb.h.

## TRIM

uint16_t USB_PADCAL_Type::TRIM

bit: 12..14 USB Pad Trim calibration

Definition at line 805 of file usb.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/usb.h